#!/bin/sh
NODE_PATH="https://nodejs.org/dist/v10.16.3/node-v10.16.3-linux-x64.tar.xz"
export ENV_NAME="makoenv"

#install pip3
test -z "$(dpkg -l | egrep "python3-dev")" && sudo apt-get install python3-dev 
test -z "$(dpkg -l | egrep "python3-pip")" && sudo apt-get install python3-pip
#install virtualenv
python3 -m pip install --user virtualenv

#create virtualenv called stacksdkenv
if [ ! -e ./${ENV_NAME} ] ; then
  python3 -m virtualenv ${ENV_NAME}
fi

#get nodejs
if [ ! -e ./${ENV_NAME}/nodejs ] ; then
  mkdir -p ./${ENV_NAME}/nodejs
  curdir="$(pwd)"
  cd /tmp
  wget "${NODE_PATH}" -O node.tar.gz
  tar -xJf node.tar.gz
  mv node-v*linux-x64/* ${curdir}/${ENV_NAME}/nodejs
  ln -s ../nodejs/bin/node ${curdir}/${ENV_NAME}/bin/node
  ln -s ../nodejs/bin/npm ${curdir}/${ENV_NAME}/bin/npm
  ln -s ../nodejs/bin/npx ${curdir}/${ENV_NAME}/bin/npx
  cd $curdir
  ${curdir}/${ENV_NAME}/bin/npm init
fi

#get ruby for slides
#if [ ! -e ./${ENV_NAME}/ruby ] ; then
#  mkdir ./${ENV_NAME}/ruby
#  wget https://raw.githubusercontent.com/rvm/rvm/master/binscripts/rvm-installer -O ./${ENV_NAME}/ruby/rvm-installer
#  chmod +x ./${ENV_NAME}/ruby/rvm-installer
#  HOME=./${ENV_NAME}/ruby rvm_path=`pwd`/${ENV_NAME}/ruby ./${ENV_NAME}/ruby/rvm-installer --ignore-dotfiles --user-install
#  ln -s ../ruby/bin/rvm ./${ENV_NAME}/bin/rvm
#  export rvm_path=`pwd`/${ENV_NAME}/ruby
#fi

#./${ENV_NAME}/bin/rvm install ruby-head
#./${ENV_NAME}/bin/rvm ruby-head do gem install bundler
#printf "source 'https://rubygems.org'\ngem 'asciidoctor-revealjs'\n" 

#activate env
. ./${ENV_NAME}/bin/activate

echo [+] confirm env:
if [ -z "$(which python3|grep ${ENV_NAME})" ]; then
  echo [!] env setup failed!
  exit 1
fi

npm i --save asciidoctor-reveal.js

pip3 install mako pyyaml requests

#install antora
npm i @antora/cli@2.1 @antora/site-generator-default@2.1


echo [+] install complete. Drop into env? [y/n]
read garbage
if [ ! "$garbage" == "n" ] ; then
  bash -i
else
  echo OK. You can activate env with:  
  echo . ./${ENV_NAME}/bin/activate
fi
