#!/bin/sh
export ENV_NAME="lessonenv"

#install pip3
test -z "$(dpkg -l | egrep "python3-dev")" && apt-get install python3-dev 
test -z "$(dpkg -l | egrep "python3-pip")" && apt-get install python3-pip
#install virtualenv
python3 -m pip install --user virtualenv

#create virtualenv called stacksdkenv
if [ ! -e ./${ENV_NAME} ] ; then
  python3 -m virtualenv ${ENV_NAME}
fi

#activate env
. ./${ENV_NAME}/bin/activate

echo [+] confirm env:
if [ -z "$(which python3|grep ${ENV_NAME})" ]; then
  echo [!] env setup failed!
  exit 1
fi

pip3 install mako pyyaml requests

echo [+] install complete. You can activate env with:  
echo . ./${ENV_NAME}/bin/activate
