## Installing

Get your python env set up by running install:

```
bash install.sh
```

Enter your env with:

```
. ./makoenv/bin/activate
```

## Usage:

1. Edit lp.json with your specific course and lesson data.

2. Run `./process_template.py` This will take lp.json and lp.template and generate lp.template.adoc

3. Take your lp.template.adoc and use it to build your final products. Should be able to build docx (using pandoc), html, or your normal pdf.

## File inclusion

The processing script now supports remote file inclusion prior to converting to adoc. Any value in the json file that starts with one of these three lines will be loaded into dictionary and replace the URL value:

* -https://
* -file://
* -http://

Note: the value must begin with a "-" in order to distinguish from normal URLs that should not be included.

Additionally, for local files, you can use relative or absolute paths. For example:

`-file:///etc/passwd` - an example of an absolute path

`-file://local/file.txt` - an example of a relative path

## JSON and YAML inclusion

An additional feature is to include json or yaml objects inside of .json or .yaml files. These objects will be loaded and then parsed for any additional inclusion parameters, relative to the path location of the file. These paths follow the same relative vs. absolute path rule as for the normal file inclusion.

* -json://
* -yaml://

For lists and dictionaries, there is an additional feature to merge the object with the parent object. For a dictionary, this means that the parent dictionary will get updated with the contents of the included object. For a list, this means that two lists will be concatenated. This inclusion is prepended with:

* <json://
* <yaml://


## Antora

Some wrapper scripts have been written to take the lesson plan and build an Antora website with it for use on gitlab pages. It might be simpler to build a master script that takes a standard format and builds the TD Lesson Plan *and* the antora template in one pass, but for now it's easier to just layer them on top of each other and run two separate passes.

This is a work in progress and a proof of concept to define the end state. A rewrite is likely necessary to transition from POC to production-level code.


## TODO

* convert the bash scripts in the example to something more resilient and fault-tolerant (ie, a python script with error handling)

